$numOfArgs = $args.Length
if ($numOfArgs -gt 0)
{
	$tap=$args[0]
	Remove-NetIPAddress -InterfaceAlias $tap -Confirm:$false -ErrorAction SilentlyContinue
	Remove-NetRoute -InterfaceAlias $tap -Confirm:$false -ErrorAction SilentlyContinue
	if ($numOfArgs -gt 1)
	{
		. $PSScriptRoot\GetICS.ps1
		. $PSScriptRoot\SetICS.ps1
		$lan=$args[1]
		Set-ICS $lan $tap 0
	}
}